GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.gls_group.fpcs.v1.parcelshop.ParcelShopService Class Reference
Inheritance diagram for eu.gls_group.fpcs.v1.parcelshop.ParcelShopService:

## Public Member Functions
| ParcelShopService (URL wsdlLocation)
| ParcelShopService (URL wsdlLocation, QName serviceName)
| ParcelShopService ()
| ParcelShopService (WebServiceFeature ... features)
| ParcelShopService (URL wsdlLocation, WebServiceFeature ... features)
| ParcelShopService (URL wsdlLocation, QName serviceName, WebServiceFeature ... features)
ParcelShopPortType | getParcelShopPort ()
ParcelShopPortType | getParcelShopPort (WebServiceFeature... features)

## Static Public Attributes
static final URL | WSDL_LOCATION
static final QName | SERVICE = new QName("http://fpcs.gls-group.eu/v1/ParcelShop", "ParcelShopService")
static final QName | ParcelShopPort = new QName("http://fpcs.gls-group.eu/v1/ParcelShop", "ParcelShopPort")

## Detailed Description

ParcelShop service A service for ... Version: 1.0 History: 1.0 [2014-06-10] initial release

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 22 of file ParcelShopService.java.

## Constructor & Destructor Documentation

## ◆ ParcelShopService() [1/6]

eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.ParcelShopService | ( | URL | wsdlLocation | ) |

Definition at line 41 of file ParcelShopService.java.

## ◆ ParcelShopService() [2/6]

eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.ParcelShopService | ( | URL | wsdlLocation,
|  | QName | serviceName
| ) |  |

Definition at line 45 of file ParcelShopService.java.

## ◆ ParcelShopService() [3/6]

eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.ParcelShopService | ( |  | ) |

Definition at line 49 of file ParcelShopService.java.

## ◆ ParcelShopService() [4/6]

eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.ParcelShopService | ( | WebServiceFeature ... | features | ) |

Definition at line 53 of file ParcelShopService.java.

## ◆ ParcelShopService() [5/6]

eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.ParcelShopService | ( | URL | wsdlLocation,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 57 of file ParcelShopService.java.

## ◆ ParcelShopService() [6/6]

eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.ParcelShopService | ( | URL | wsdlLocation,
|  | QName | serviceName,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 61 of file ParcelShopService.java.

## Member Function Documentation

## ◆ getParcelShopPort() [1/2]

ParcelShopPortType eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.getParcelShopPort | ( |  | ) |

Returns
  returns ParcelShopPortType

Definition at line 74 of file ParcelShopService.java.

## ◆ getParcelShopPort() [2/2]

ParcelShopPortType eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.getParcelShopPort | ( | WebServiceFeature... | features | ) |

Parameters

  features | A list of javax.xml.ws.WebServiceFeature to configure on the proxy. Supported features not in the `features` parameter will have their default values.

Returns
  returns ParcelShopPortType

Definition at line 86 of file ParcelShopService.java.

## Member Data Documentation

## ◆ ParcelShopPort

final QName eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.ParcelShopPort = new QName("http://fpcs.gls-group.eu/v1/ParcelShop", "ParcelShopPort")
| static

Definition at line 27 of file ParcelShopService.java.

## ◆ SERVICE

final QName eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.SERVICE = new QName("http://fpcs.gls-group.eu/v1/ParcelShop", "ParcelShopService")
| static

Definition at line 26 of file ParcelShopService.java.

## ◆ WSDL_LOCATION

final URL eu.gls_group.fpcs.v1.parcelshop.ParcelShopService.WSDL_LOCATION
| static

Definition at line 24 of file ParcelShopService.java.

The documentation for this class was generated from the following file:

- ParcelShopService.java